
Name:		f23-kde-theme
Summary:	Fedora Twenty Three KDE Theme
Version:	23.0
Release:	6%{?dist}

# CODE is GPLv2+, Artwork is CC-BY-SA
License:	GPLv2+ and CC-BY-SA

# We are upstream for this package
URL:		https://fedorahosted.org/fedora-kde-artwork/
Source0:	https://fedorahosted.org/releases/f/e/fedora-kde-artwork/%{name}-%{version}.tar.bz2
BuildArch:	noarch

BuildRequires:	kde-filesystem
BuildRequires:	f23-backgrounds-kde
Requires:	kde-filesystem
Requires:	system-logos
Requires:	f23-backgrounds-kde
# plasma-workspace-5.3.2-11+ Provides this
Requires:       f23-kde-theme-core

Provides:	f23-plasma-desktoptheme = %{version}-%{release}
Provides:	f23-plasma-theme = %{version}-%{release}

# replace it later for F24
%if 0%{?fedora} > 23
Provides:	system-kde-theme = %{version}-%{release}
Provides:	system-ksplash-theme = %{version}-%{release}
Provides:	systesm-plasma-desktoptheme = %{version}-%{release}
Provides:	system-plasma-theme = %{version}-%{release}
%endif

%if 0%{?fedora} == 23
Provides:	system-kde-theme = %{version}-%{release}
Provides:	system-ksplash-theme = %{version}-%{release}
Provides:	system-plasma-desktoptheme = %{version}-%{release}
Provides:	system-plasma-theme = %{version}-%{release}
%endif

%description
This is Fedora Twenty Three KDE Theme Artwork containing
Plasma Workspaces theme.

%package -n f23-kdm-theme
Summary:	Fedora Twenty Three KDM Theme
Requires:	kde-filesystem
Requires:	kdm
Requires:	system-logos
Requires:	f23-backgrounds-kde
# replace it later for F24
%if 0%{?fedora} > 23
Provides:	system-kdm-theme = %{version}-%{release}
%endif
%if 0%{?fedora} == 23
Provides:	system-kdm-theme = %{version}-%{release}
%endif
%description -n f23-kdm-theme
This is Fedora Twenty Three KDE Theme Artwork containing KDM theme.


%prep
%setup -q

rm -fv lookandfeel/contents/components/artwork/background.png
# link wallpaper from f23-backgrounds-kde
#ln -sf ../../../../../../wallpapers/F23/contents/images/1920x1080.png \
# copy wallpaper from f23-backgrounds-kde
cp --dereference -v \
   %{_datadir}/wallpapers/F23/contents/images/1920x1080.png \
   lookandfeel/contents/components/artwork/background.png


%build


%install
### Look and feel
mkdir -p %{buildroot}%{_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.twenty.three/
cp -rp lookandfeel/* %{buildroot}%{_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.twenty.three/

### Plasma desktoptheme's
mkdir -p %{buildroot}%{_datadir}/plasma/desktoptheme/
cp -rp desktoptheme/F23/ %{buildroot}%{_datadir}/plasma/desktoptheme/

### KDM
mkdir -p %{buildroot}%{_kde4_appsdir}/kdm/themes/
cp -rp kdm/F23/ %{buildroot}%{_kde4_appsdir}/kdm/themes/
pushd %{buildroot}%{_kde4_appsdir}/kdm/themes/F23/
# system logo
ln -s ../../../../../pixmaps/system-logo-white.png system-logo-white.png
popd


%files
%doc README
%license COPYING.CC-BY-SA
%license COPYING.GPLv2
%{_datadir}/plasma/desktoptheme/F23/
%{_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.twenty.three/

%files -n f23-kdm-theme
%doc README
%license COPYING.CC-BY-SA
%license COPYING.GPLv2
%{_kde4_appsdir}/kdm/themes/F23/


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 23.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Aug 11 2015 Rex Dieter <rdieter@fedoraproject.org> 23.0-5
- Requires: f23-kde-theme-core

* Fri Aug 07 2015 Rex Dieter <rdieter@fedoraproject.org> 23.0-4
- copy background.png (plasma historically is pickly about symlinked resources)

* Fri Aug 07 2015 Rex Dieter <rdieter@fedoraproject.org> 23.0-3
- fix too-long %%description
- fix broken symlink
- fix mixing tabs/spaces
- clarify license

* Thu Aug 06 2015 Rex Dieter <rdieter@fedoraproject.org> 23.0-2
- f23-kdm-theme: Requires: kdm (dir ownership mostly) , +README
- fix parent dir ownership, use %%license

* Thu Aug 06 2015 Rex Dieter <rdieter@fedoraproject.org> 23.0-1
- init f23-kde-theme
